Bug 246808 - Fully virt FC6 Xen Guest: lost eth0 after upgrade to FC6-latest
Fully virt FC6 Xen Guest: lost eth0 after upgrade to FC6-latest
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Rik van Riel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-05 00:17 EDT by Kai Engert (:kaie) (on vacation)
Modified: 2008-02-26 21:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 21:56:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kai Engert (:kaie) (on vacation) 2007-07-05 00:17:13 EDT
After I used "yum update" to upgrade my FC 6 xen guest to latest updates, after
reboot, I no longer have a network device eth0.

How reproducible:
- Intel Core duo i386 machine, 4 GB ram
- install Fedora 7 as host OS (dom0)
- use original FC-6 ISO to install a fully virtualized Xen guest
- host OS uses Xen default networking (bridge),  
  when creating the xen guest, use virtual network
- create xen guest with 10 GB file, 1000 MB ram,
  use default partition settings during guest install
- it doesn't seem to matter whether you use manual IP settings or dhcp
- complete initial fc6 configuration steps
- enjoy networking
- reboot fc6 xen guest
- login to xen guest using ssh
- enjoy networking
- yum update -y
- reboot fc6 xen guest
- xen guest not reachable using ping or ssh
- use virt-manager to open interactive view of fc6 xen guest
- login, open terminal, type ifconfig
- only loopback interface is listed


I don't know which package causes the networking to go away.

It appears it's not only the kernel. I tried to boot the xen guest using the
2.6.18-something kernel from the original install, but the network is still gone.


When I use a paravirtualized Xen guest, using the exact procedure as described
above, networking still works after the upgrade!!!
Comment 1 sbrooks 2007-07-13 10:47:12 EDT
This might be related to Bug 247122: One way to check would be if you use
virt-manager to add a second network card (as a "virtual network device"), do
both network cards reappear and start working?
Comment 2 Chris Lalancette 2008-02-26 21:56:14 EST
Fedora Core 6 is now end-of-life, so closing this bug out.  Please test again on
Fedora 7 or later, and open a new bug if your problem persists.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.